<?php

/**
 * @file
 * Hooks for the Simple Theme Switch module.
 */

use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Flag for applies of admin theme.
 *
 * @param \Drupal\Core\Routing\RouteMatchInterface $route_match
 *   The route match object.
 * @param \Symfony\Component\HttpFoundation\Request $request
 *   The request object.
 *
 * @return bool
 *   Implement it to return TRUE if you want to apply the admin theme,
 *   or FALSE if not.
 */
function hook_simple_theme_switch_flag_for_applies_of_admin_theme(RouteMatchInterface $route_match, Request $request): bool {
  $path_info = $request->getPathInfo();
  return (\preg_match('/^\/node\/\d+\/webform\/submission\/\d+(\/(text|table|yaml))?$/', $path_info)
    || \preg_match('/^\/admin\/structure\/webform\/manage\/\w+\/submission\/\d+(\/(text|table|yaml))?$/', $path_info)
  );
}

/**
 * @} End of "addtogroup hooks".
 */
